<?php

/* ======= Register The Plugin Shortcode =========== */

function softech_wp_clock_shortcode($atts) 
{
    $atts = shortcode_atts(array(
        'id' => '',
        'name' => null,
    ), $atts);

    //$user_shortcode = '[softech-wp-clock name="'.$atts['name'].'"]';
    global $wpdb;
    ob_start();
    $table_name=$wpdb->prefix.'softech_clock';
    $results = $wpdb->get_results('SELECT * FROM '.$table_name.' WHERE id ="'.$atts['id'].'" ');

    foreach ( $results as $results )
    {
    $padding = $results->padding;
    $date_font_size = $results->date_font_size;
    $time_font_size = $results->time_font_size;
    $zone_font_size = $results->zone_font_size;
    $font_color = $results->font_color;
    $text_align = $results->text_align;
    }

    $map_1 = $results->time_zone;
    date_default_timezone_set($map_1);
    ?>

    <!--........This Will Make The Formate Of Clock...............-->
   
    <?php

    /*...........This Will Show The Output Of The Short Code On Frontend.....................*/

    ?>
    <style>
        .softech-wp-date-<?php echo $atts['id']; ?>
        {
            font-size: <?php echo $date_font_size; ?>px;
        }
        .softech-wp-time-<?php echo $atts['id']; ?>
        {
            font-size:<?php echo $time_font_size; ?>px;
        }
        .softech-wp-zone-<?php echo $atts['id']; ?>
        {
            font-size:<?php echo $zone_font_size; ?>px;
        }
    </style>
    
    <div class="softech-wp-clock" style="padding:<?php echo esc_attr( $padding); ?>px;
                                         color:<?php echo esc_attr( $font_color); ?>;
                                         text-align:<?php echo esc_attr( $text_align); ?>;">
              <p class="softech-wp-date-<?php echo esc_attr( $atts['id'] ) ?>"> <span id="sd-<?php echo esc_attr( $atts['id'] ) ?>"></span></p>
              <p class="softech-wp-time-<?php echo esc_attr( $atts['id'] ) ?>"><span id="st-<?php echo esc_attr( $atts['id'] ) ?>"></span></p>
              <p class="softech-wp-zone-<?php echo esc_attr( $atts['id'] ) ?>"><?php echo date_default_timezone_get() ?></p>
    </div>';

    
 <script>
    function display_c_<?php echo $atts['id']; ?>()
    {
    var refresh=1000; // Refresh rate in milli seconds
    mytime=setTimeout('display_ct_<?php echo $atts['id']; ?>()',refresh)
    }

    function display_ct_<?php echo $atts['id']; ?>() 
    {
          display_c_<?php echo $atts['id']; ?>();
        var softzone ='<?php echo $map_1; ?>';
        var sd = 'sd-<?php echo $atts['id']; ?>';
        var st = 'st-<?php echo $atts['id']; ?>';
        var softdate = new Date();

        options = 
        {
            year: 'numeric', month: 'long', day: 'numeric', weekday: 'long',
            timeZone: softzone
        };
        //alert(softdate.toLocaleString('en-US', options));
        document.getElementById(sd).innerHTML =softdate.toLocaleString('en-US', options);
        

        options = 
        {
            hour: 'numeric', minute: 'numeric', second: 'numeric', 
            timeZone: softzone
        };
        document.getElementById(st).innerHTML = softdate.toLocaleString('en-US', options);
      }
    window.onload = display_ct_<?php echo $atts['id']; ?>();
    </script>
<?php

    $myvariable_pages = ob_get_clean();
    return $myvariable_pages;

}
add_shortcode( 'softech-wp-clock', 'softech_wp_clock_shortcode' );
?>
<script>
    
</script>
<?php ?>

